Open CASCADE Technology: BRepAlgo_DataMapOfShapeInterference Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepAlgo_DataMapOfShapeInterference Class Reference

`#include <BRepAlgo_DataMapOfShapeInterference.hxx>`

Inheritance diagram for BRepAlgo_DataMapOfShapeInterference:
[legend]

## Public Member Functions
| BRepAlgo_DataMapOfShapeInterference (const Standard_Integer NbBuckets=1)
BRepAlgo_DataMapOfShapeInterference & | Assign (const BRepAlgo_DataMapOfShapeInterference &Other)
BRepAlgo_DataMapOfShapeInterference & | operator= (const BRepAlgo_DataMapOfShapeInterference &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~BRepAlgo_DataMapOfShapeInterference ()
Standard_Boolean | Bind (const TopoDS_Shape &K, const Handle< TopOpeBRepDS_Interference > &I)
Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_Boolean | UnBind (const TopoDS_Shape &K)
const Handle < TopOpeBRepDS_Interference > & | Find (const TopoDS_Shape &K) const
const Handle < TopOpeBRepDS_Interference > & | operator() (const TopoDS_Shape &K) const
Handle < TopOpeBRepDS_Interference > & | ChangeFind (const TopoDS_Shape &K)
Handle < TopOpeBRepDS_Interference > & | operator() (const TopoDS_Shape &K)
Standard_Address | Find1 (const TopoDS_Shape &K) const
Standard_Address | ChangeFind1 (const TopoDS_Shape &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

BRepAlgo_DataMapOfShapeInterference::BRepAlgo_DataMapOfShapeInterference | ( | const Standard_Integer | NbBuckets = `1` | ) |

BRepAlgo_DataMapOfShapeInterference::~BRepAlgo_DataMapOfShapeInterference | ( |  | ) |
| inline

## Member Function Documentation

BRepAlgo_DataMapOfShapeInterference& BRepAlgo_DataMapOfShapeInterference::Assign | ( | const BRepAlgo_DataMapOfShapeInterference & | Other | ) |

Standard_Boolean BRepAlgo_DataMapOfShapeInterference::Bind | ( | const TopoDS_Shape & | K,
|  | const Handle< TopOpeBRepDS_Interference > & | I
| ) |  |

Handle< TopOpeBRepDS_Interference >& BRepAlgo_DataMapOfShapeInterference::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_Address BRepAlgo_DataMapOfShapeInterference::ChangeFind1 | ( | const TopoDS_Shape & | K | ) |

void BRepAlgo_DataMapOfShapeInterference::Clear | ( |  | ) |

const Handle< TopOpeBRepDS_Interference >& BRepAlgo_DataMapOfShapeInterference::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_Address BRepAlgo_DataMapOfShapeInterference::Find1 | ( | const TopoDS_Shape & | K | ) | const

Standard_Boolean BRepAlgo_DataMapOfShapeInterference::IsBound | ( | const TopoDS_Shape & | K | ) | const

const Handle< TopOpeBRepDS_Interference >& BRepAlgo_DataMapOfShapeInterference::operator() | ( | const TopoDS_Shape & | K | ) | const
| inline

Handle< TopOpeBRepDS_Interference >& BRepAlgo_DataMapOfShapeInterference::operator() | ( | const TopoDS_Shape & | K | ) |
| inline

BRepAlgo_DataMapOfShapeInterference& BRepAlgo_DataMapOfShapeInterference::operator= | ( | const BRepAlgo_DataMapOfShapeInterference & | Other | ) |
| inline

void BRepAlgo_DataMapOfShapeInterference::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_Boolean BRepAlgo_DataMapOfShapeInterference::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- BRepAlgo_DataMapOfShapeInterference.hxx